# Copyright (c) 2021 D-Robotics.All Rights Reserved.
#
# The material in this file is confidential and contains trade secrets
# of D-Robotics Inc. This is proprietary information owned by
# D-Robotics Inc. No part of this work may be disclosed,
# reproduced, copied, transmitted, or used in any way for any purpose,
# without the express written permission of D-Robotics Inc.

COCO_CLASSES = [
    "person",
    "bicycle",
    "car",
    "motorcycle",
    "airplane",
    "bus",
    "train",
    "truck",
    "boat",
    "traffic light",
    "fire hydrant",
    "stop sign",
    "parking meter",
    "bench",
    "bird",
    "cat",
    "dog",
    "horse",
    "sheep",
    "cow",
    "elephant",
    "bear",
    "zebra",
    "giraffe",
    "backpack",
    "umbrella",
    "handbag",
    "tie",
    "suitcase",
    "frisbee",
    "skis",
    "snowboard",
    "sports ball",
    "kite",
    "baseball bat",
    "baseball glove",
    "skateboard",
    "surfboard",
    "tennis racket",
    "bottle",  # noqa
    "wine glass",
    "cup",
    "fork",
    "knife",
    "spoon",
    "bowl",
    "banana",
    "apple",
    "sandwich",
    "orange",
    "broccoli",
    "carrot",
    "hot dog",
    "pizza",
    "donut",
    "cake",
    "chair",
    "couch",
    "potted plant",
    "bed",
    "dining table",
    "toilet",
    "tv",
    "laptop",
    "mouse",
    "remote",
    "keyboard",
    "cell phone",
    "microwave",
    "oven",
    "toaster",
    "sink",
    "refrigerator",
    "book",
    "clock",
    "vase",
    "scissors",
    "teddy bear",
    "hair drier",
    "toothbrush",
]
VOC_CLASSES = {
    "aeroplane": (0, "Vehicle"),
    "bicycle": (1, "Vehicle"),
    "bird": (2, "Animal"),
    "boat": (3, "Vehicle"),
    "bottle": (4, "Indoor"),
    "bus": (5, "Vehicle"),
    "car": (6, "Vehicle"),
    "cat": (7, "Animal"),
    "chair": (8, "Indoor"),
    "cow": (9, "Animal"),
    "diningtable": (10, "Indoor"),
    "dog": (11, "Animal"),
    "horse": (12, "Animal"),
    "motorbike": (13, "Vehicle"),
    "person": (14, "Person"),
    "pottedplant": (15, "Indoor"),
    "sheep": (16, "Animal"),
    "sofa": (17, "Indoor"),
    "train": (18, "Vehicle"),
    "tvmonitor": (19, "Indoor"),
}
